package Camera;

@SuppressWarnings("unused")
public class ObsbotMeet2Preset {
    public static final int V4L2_ID_Brightness = 0x00980900;
    public static final CameraProperty Brightness = new CameraProperty(0,100,50);
    public static final int V4L2_ID_Contrast = 0x00980901;
    public static final CameraProperty Contrast = new CameraProperty(0,100,50);
    public static final int V4L2_ID_Saturation = 0x00980902;
    public static final CameraProperty Saturation = new CameraProperty(0,100,50);
    public static final int V4L2_ID_Hue = 0x00980903;
    public static final CameraProperty Hue = new CameraProperty(0,100,50);
    public static final int V4L2_ID_AutoWhiteBalance = 0x0098090c;
    public static final OnOffProperty AutoWhiteBalance = new OnOffProperty(1,0,1);
    public static final int V4L2_ID_RedBalance = 0x0098090e;
    public static final CameraProperty RedBalance = new CameraProperty(0,2048,0);
    public static final int V4L2_ID_BlueBalance = 0x0098090f;
    public static final CameraProperty BlueBalance = new CameraProperty(0,2048,1024);
    public static final int V4L2_ID_Gain = 0x00980913;
    public static final CameraProperty Gain = new CameraProperty(1,64,1);
    public static final int V4L2_ID_PowerLineFrequency = 0x00980918;
    public static final CameraProperty PowerLineFrequency = new CameraProperty(0,2,0); // masak default nya 3 di V4L2 ??
    public static final int V4L2_ID_WhiteBalanceTemperature = 0x0098091a;
    public static final CameraProperty WhiteBalanceTemperature = new CameraProperty(2000,10000,4600);
    public static final int V4L2_ID_Sharpness = 0x0098091b;
    public static final CameraProperty Sharpness = new CameraProperty(0,100,50);
    public static final int V4L2_ID_BacklightCompensation = 0x0098091c;
    public static final CameraProperty BacklightCompensation = new CameraProperty(0,18,9);
    public static final int V4L2_ID_AutoExposure = 0x009a0901;
    public static final OnOffProperty AutoExposure = new OnOffProperty(0,3,0); // 0 = Auto
    public static final int V4L2_ID_ExposureTime = 0x009a0902;
    public static final CameraProperty ExposureTime = new CameraProperty(1,2500,330);
    public static final int V4L2_ID_Focus = 0x009a090a;
    public static final CameraProperty Focus = new CameraProperty(0,100,0);
    public static final int V4L2_ID_AutoFocus = 0x009a090c;
    public static final OnOffProperty AutoFocus = new OnOffProperty(1,0,1);

}
